<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaFrecuenciaCardiaca.home.createOrEditLabel"
          data-cy="FrecuenciaCardiacaCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.home.createOrEditLabel')"
        >
          Create or edit a FrecuenciaCardiaca
        </h2>
        <div>
          <div class="form-group" v-if="frecuenciaCardiaca.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="frecuenciaCardiaca.id" readonly />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.frecuenciaCardiaca')"
              for="frecuencia-cardiaca-frecuenciaCardiaca"
              >Frecuencia Cardiaca</label
            >
            <input
              type="number"
              class="form-control"
              name="frecuenciaCardiaca"
              id="frecuencia-cardiaca-frecuenciaCardiaca"
              data-cy="frecuenciaCardiaca"
              :class="{
                valid: !$v.frecuenciaCardiaca.frecuenciaCardiaca.$invalid,
                invalid: $v.frecuenciaCardiaca.frecuenciaCardiaca.$invalid,
              }"
              v-model.number="$v.frecuenciaCardiaca.frecuenciaCardiaca.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.fechaRegistro')"
              for="frecuencia-cardiaca-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="frecuencia-cardiaca-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.frecuenciaCardiaca.fechaRegistro.$invalid, invalid: $v.frecuenciaCardiaca.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.frecuenciaCardiaca.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaFrecuenciaCardiaca.user')" for="frecuencia-cardiaca-user"
              >User</label
            >
            <select class="form-control" id="frecuencia-cardiaca-user" data-cy="user" name="user" v-model="frecuenciaCardiaca.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  frecuenciaCardiaca.user && userOption.id === frecuenciaCardiaca.user.id ? frecuenciaCardiaca.user : userOption
                "
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.frecuenciaCardiaca.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./frecuencia-cardiaca-update.component.ts"></script>
